#
# Conditional build:
%bcond_without	indy	# use libraries without invokedynamic support (compatible with JRE 1.5+)
#
Summary:	Dynamic language for the Java Platform
Name:		groovy
Version:	2.5.8
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Java
Source0:	https://dl.bintray.com/groovy/maven/apache-%{name}-binary-%{version}.zip
# Source0-md5:	464fe2c0c8f5568ba71ef094daed5078
URL:		http://groovy-lang.org/
%if %{with indy}
Requires:	jdk >= 1.7
%else
Requires:	jdk >= 1.5
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_java		ClassDataVersion

%description
Groovy is an agile and dynamic language for the Java Virtual Machine,
built upon Java with features inspired by languages like Python, Ruby
and Smalltalk. It seamlessly integrates with all existing Java objects
and libraries and compiles straight to Java bytecode so you can use it
anywhere you can use Java.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/bin}
for b in grape groovy groovyConsole groovyc groovydoc groovysh java2groovy startGroovy; do
	ln -sf %{_datadir}/%{name}/bin/$b $RPM_BUILD_ROOT%{_bindir}/$b
done

install -d $RPM_BUILD_ROOT
cp -a bin conf lib $RPM_BUILD_ROOT%{_datadir}/%{name}

%if %{with indy}
for f in indy/*-indy.jar; do
	targetname=$(basename $f -indy.jar).jar
	%{__cp} -p $f \
		$RPM_BUILD_ROOT%{_datadir}/%{name}/lib/$targetname
done
%endif

rm $RPM_BUILD_ROOT%{_datadir}/%{name}/bin/*.bat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/grape
%attr(755,root,root) %{_bindir}/groovy
%attr(755,root,root) %{_bindir}/groovyConsole
%attr(755,root,root) %{_bindir}/groovyc
%attr(755,root,root) %{_bindir}/groovydoc
%attr(755,root,root) %{_bindir}/groovysh
%attr(755,root,root) %{_bindir}/java2groovy
%attr(755,root,root) %{_bindir}/startGroovy
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/bin
%attr(755,root,root) %{_datadir}/%{name}/bin/grape
%attr(755,root,root) %{_datadir}/%{name}/bin/groovy
%attr(755,root,root) %{_datadir}/%{name}/bin/groovyConsole
%attr(755,root,root) %{_datadir}/%{name}/bin/groovyc
%attr(755,root,root) %{_datadir}/%{name}/bin/groovydoc
%attr(755,root,root) %{_datadir}/%{name}/bin/groovysh
%attr(755,root,root) %{_datadir}/%{name}/bin/java2groovy
%attr(755,root,root) %{_datadir}/%{name}/bin/startGroovy
%{_datadir}/%{name}/conf
%{_datadir}/%{name}/lib
%changelog
* Sat Aug 10 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/groovy.git;a=log;h=master

* Wed Aug 07 2019 Jan Palus <atler@pld-linux.org> 8b0a11f
- up to 2.5.8

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> 4b2e43a
- up to 2.5.7

* Mon Feb 04 2019 Jan Palus <atler@pld-linux.org> 8f99308
- up to 2.5.6

* Tue Dec 25 2018 Jan Palus <atler@pld-linux.org> 7b5d2f0
- up to 2.5.5

* Tue Nov 13 2018 Jan Palus <atler@pld-linux.org> 8a3a7e1
- up to 2.5.4

* Mon Oct 15 2018 Jan Palus <atler@pld-linux.org> 2451563
- up to 2.5.3

* Tue Aug 14 2018 Jan Palus <atler@pld-linux.org> 30b9efc
- up to 2.5.2

* Fri Jul 13 2018 Jan Palus <atler@pld-linux.org> 82cb366
- up to 2.5.1

* Wed May 30 2018 Jan Palus <atler@pld-linux.org> d333c69
- up to 2.5.0

* Sun Apr 08 2018 Jan Palus <atler@pld-linux.org> b34adc1
- up to 2.4.15

* Sun Mar 25 2018 Jan Rękorajski <baggins@pld-linux.org> b6f61f0
- disable ClassDataVersion reqs, package contains class files with support for java 9
- rel 3

* Tue Mar 20 2018 Jan Rękorajski <baggins@pld-linux.org> e03dce7
- release 2 (by relup.sh)

* Sun Mar 18 2018 Jan Palus <atler@pld-linux.org> 1a946ed
- up to 2.4.14

* Sat Nov 25 2017 Jan Palus <atler@pld-linux.org> 1c6ae42
- up to 2.4.13

* Sun Jun 25 2017 Jan Palus <atler@pld-linux.org> 60081a8
- up to 2.4.12

* Sun May 07 2017 Jan Palus <atler@pld-linux.org> 9f52c8e
- up to 2.4.11

* Wed Mar 22 2017 Jan Palus <atler@pld-linux.org> 7046f0f
- up to 2.4.10

* Sat Jan 28 2017 Jan Palus <atler@pld-linux.org> d989320
- up to 2.4.8

* Fri Aug 05 2016 Jan Palus <atler@pld-linux.org> 1fddc05
- up to 2.4.7

* Thu Feb 25 2016 Jan Palus <atler@pld-linux.org> 704ebb2
- up to 2.4.6

